.TH sane-umax 5 "23 June 2000"
.IX sane-umax

.SH NAME

sane-umax - SANE backend for UMAX scanners

.SH ABOUT THIS FILE

This file only is a short descripton of the umax-backend for sane! For detailled information take a look at
sane-umax-doc.html (it is included in the sane source directory and in the xsane online help)!

.SH DESCRIPTION

The
.B sane-umax
library implements a SANE backend that provides acces to several UMAX-SCSI-scanners and some Linotye Hell SCSI-scanners,
parallel- and USB-scanners are not (and propably will never be) supported!

.B I suggest you hold one hand on the power-button of the scanner while you try the first scans!

.SH CONFIGURATION

The configuration file for this backend resides in 
	/usr/local/etc/sane.d/umax.conf. 

Its contents is a list of device names that correspond to UMAX and UMAX compatible scanners. Empty lines
and lines starting with a hash mark (#) are ignored. A sample configuration file is
shown below: 

 #scsi Vendor Model Type Bus Channel ID LUN 
 scsi UMAX * Scanner * * * * * 
 /dev/scanner 
 # this is a comment 
 /dev/sge 

The special device name must be a generic SCSI device or a symlink to such a device.
To find out to which device your scanner is assigned and how you have to set the
permissions of that device, have a look at sane-scsi. 

.SH SCSI ADAPTER TIPS

The ISA-SCSI-adapters that are shipped with some Umax-scanners are not supported very
well by Linux (I suggest not to use it), the PCI-SCSI-adapters that come with some
Umax-scanners are not supported at all (as far as I know). On other platforms these
SCSI-adapters are not supported. So you typically need to purchase another SCSI-adapter
that is supported by your platform. See the relevant hardware FAQs and HOWTOs for your
platform for more information. 

The UMAX-scanners do block the scsi-bus for a few seconds while scanning. It is not
necessary to connect the scanner to its own SCSI-adapter. But if you need short
response time for your SCSI-harddisk (e.g. if your computer is a file-server) or
other scsi devices, I suggest you use an own SCSI-adapter for your UMAX-scanner.

If you have any problems with your Umax scanner, check your scsi chain
(cable length, termination, ...).

See also: sane-scsi(5)

.SH FILES

The backend configuration file:
 /usr/local/etc/sane.d/umax.conf

The static library implementing this backend:
 /usr/local/lib/sane/libsane-umax.a

The shared library implementing this backend :
 /usr/local/lib/sane/libsane-umax.so
 (present on systems that support dynamic loading)

.SH ENVIRONMENT

.B SANE_DEBUG_UMAX
 If the library was compiled with debug support enabled, this environment
variable controls the debug level for this backend. E.g., a value of 128
requests all debug output to be printed. Smaller levels reduce verbosity:
SANE_DEBUG_UMAX values

.DS
.sp 
.ft CR
.nf
 Number  Remark
 0       print important errors (printed each time)
 1       print errors
 2       print sense
 3       print warnings
 4       print scanner-inquiry
 5       print informations
 6       print less important informations
 7       print called procedures
 8       print reader_process messages
 10      print called sane-init-routines
 11      print called sane-procedures
 12      print sane infos
 13      print sane option-control messages
Example:
export SANE_DEBUG_UMAX=8

.SH BUGS

X-resolutions greater than 600 dpi sometimes make problems

.SH AUTHOR

Oliver Rauch

.SH EMAIL-CONTACT
Oliver.Rauch@Wolfsburg.DE
